Skip to main content
GET
/
projects
/
{project_reference}
/
job-targets
List Job Targets
curl --request GET \
  --url https://api.veryfront.com/projects/{project_reference}/job-targets \
  --header 'Authorization: Bearer <token>'
{
  "reserved_families": [
    "task:*"
  ],
  "data": [
    {
      "target": "<string>",
      "family": "<string>",
      "description": "<string>",
      "input_schema": {},
      "output_schema": {}
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://veryfront.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required

Query Parameters

runtime_target_kind
enum<string> | null

Provide the runtime target kind.

Available options:
production,
environment,
preview_branch
target_environment_id
string<uuid> | null

Provide the target environment id.

target_branch_id
string<uuid> | null

Provide the target branch id.

source_target_kind
enum<string>

Provide the source target kind.

Available options:
project,
production,
environment,
preview_branch

Response

Public job target definitions

reserved_families
enum<string>[]
required

List of reserved families associated with this tool result.

One reserved family item associated with this tool result.

Available options:
task:*,
workflow:*,
deploy:*
data
object[]
required

Primary result records returned by the tool.